CREATE TABLE sed_event_structure (
  structure_id mediumint(8) NOT NULL AUTO_INCREMENT,
  structure_code varchar(16) NOT NULL DEFAULT '',
  structure_path varchar(16) NOT NULL DEFAULT '',
  structure_title varchar(32) NOT NULL DEFAULT '',
  structure_desc varchar(255) NOT NULL DEFAULT '',
  structure_icon varchar(128) NOT NULL DEFAULT '',
  structure_order varchar(16) NOT NULL DEFAULT 'title.asc',
  PRIMARY KEY  (structure_id)
) TYPE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE sed_eventp (
  eventp_id int(11) NOT NULL AUTO_INCREMENT,
  eventp_eventid int(11) NOT NULL DEFAULT '0',
  eventp_userid int(11) NOT NULL DEFAULT '0',
  eventp_state tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY  (eventp_id)
) TYPE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE sed_events (
  event_id mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  event_state tinyint(1) NOT NULL DEFAULT '0',
  event_cat varchar(16)  NOT NULL DEFAULT '0',
  event_date int(11) NOT NULL DEFAULT '0',
  event_expire int(11) NOT NULL DEFAULT '0',
  event_deadline INT(3) NOT NULL DEFAULT '0',
  event_maxparticipants INT(6) NOT NULL DEFAULT '0',
  event_title varchar(64) NOT NULL DEFAULT '',
  event_extra1 varchar(255) NOT NULL DEFAULT '',
  event_extra2 varchar(255) NOT NULL DEFAULT '',
  event_text text,
  event_url varchar(128) NOT NULL DEFAULT '',
  event_ownerid int(11) NOT NULL DEFAULT '0',
  event_alias varchar(24) NOT NULL DEFAULT '',
  PRIMARY KEY  (event_id),
  KEY event_date (event_date)
) TYPE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;